Retrieve a lighthouse batch report
curl --request GET \
--url https://api.speedvitals.com/v1/lighthouse-batch-tests/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.speedvitals.com/v1/lighthouse-batch-tests/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.speedvitals.com/v1/lighthouse-batch-tests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "lbt_IU8rN0XQmIWEqGkP",
"urls": [
"https://speedvitals.com",
"https://blog.speedvitals.com"
],
"devices": [
"macbookAirM1"
],
"locations": [
"us"
],
"batch_type": "multiple-urls",
"status": "active",
"lighthouse_version": "9.6.2",
"report_url": "https://speedvitals.com/result/afd98w0l/",
"created_at": 1657539924734,
"expires_at": 1660131924733,
"reports": [
{
"id": "lt_dObdG5EW4d231hto",
"url": "https://speedvitals.com",
"device": "macbookAirM1",
"location": "us",
"status": "success",
"metrics": {
"cumulative_layout_shift": 0,
"first_contentful_paint": 292,
"first_meaningful_paint": 297,
"time_to_interactive": 297,
"largest_contentful_paint": 434,
"server_response_time": 32,
"speed_index": 900,
"total_blocking_time": 0,
"performance_score": 100
},
"report_url": "https://speedvitals.com/report/speedvitals.com/IvWenx/",
"error": null
},
{
"id": "lt_dmpbeQ2xk1XPh4UP",
"url": "https://blog.speedvitals.com",
"device": "macbookAirM1",
"location": "us",
"status": "idle",
"metrics": {
"cumulative_layout_shift": 0,
"first_contentful_paint": 322,
"first_meaningful_paint": 365,
"time_to_interactive": 368,
"largest_contentful_paint": 488,
"server_response_time": 68,
"speed_index": 1406,
"total_blocking_time": 0,
"performance_score": 99
},
"report_url": "https://speedvitals.com/report/blog.speedvitals.com/3t4lm7",
"error": null
}
]
}Lighthouse Batch Tests
Retrieve a lighthouse batch report
Retrieves the report of lighthouse test. Supply the unique test ID from either a lighthouse test creation request or the lighthouse tests list, and SpeedVitals will return the corresponding test information.
GET
/
v1
/
lighthouse-batch-tests
/
{id}
Retrieve a lighthouse batch report
Authorizations
Path Parameters
Maximum string length:
5000Response
Successful response.
Available options:
mobile, desktop, macbookAirM1, highEndLaptop, ipad102, galaxyTabS7, iphone13ProMax, iphone11, galaxyS10Plus, redmiNote8Pro, iphone7, galaxyA50, galaxyJ8, motoG5, redmi5A Available options:
us, ca, br, de, uk, nl, pl, ch, jp, in, sg, au, id, kr, tw Available options:
multiple-urls, multiple-devices, multiple-locations Show child attributes
Show child attributes
Available options:
idle, active, completed The version of the lighthouse used to run the tests
Time at which the batch test was created. Measured in seconds since the Unix epoch.
Time at which the batch report will expire. Measured in seconds since the Unix epoch.
Show child attributes
Show child attributes